Obtain the current rate limit usage for Smart Deposit Address creation
curl --request GET \
--url https://api.rhino.fi/sda/deposit-addresses/rate-limit-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/sda/deposit-addresses/rate-limit-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/sda/deposit-addresses/rate-limit-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalLimit": {
"_tag": "limited",
"value": 1
},
"totalCreated": 1,
"windowLimit": {
"_tag": "limited",
"value": 1,
"durationMs": 1
},
"windowCreated": 1
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}depositAddresses
Obtain the current rate limit usage for Smart Deposit Address creation
This endpoint allows you to see what your total number of generated Smart Deposit Addresses is, as well as what any limits across any frequencies are.
GET
/
deposit-addresses
/
rate-limit-status
Obtain the current rate limit usage for Smart Deposit Address creation
Authorizations
bearerlegacyApiKey
JWT token for authentication
Response
SdaRateLimitStatusResponse
The total number of Smart Deposit Addresses that can be generated by the user.
- Option 1
- Option 2
Show child attributes
Show child attributes
The total number of Smart Deposit Addresses created by the user (lifetime count).
Required range:
x >= 0Any time-window limits also set on the user for Smart Deposit Address creation.
- Option 1
- Option 2
Show child attributes
Show child attributes
The number of Smart Deposit Addresses created by the user within the current time window.
Required range:
x >= 0